<?php if (!defined('__TYPECHO_ROOT_DIR__')) exit; ?>
<?php function threadedComments($comments, $singleCommentOptions) {
    
    $commentClass = '';
    if ($comments->authorId) {
        if ($comments->authorId == $comments->ownerId) {
            $commentClass .= ' comment-by-author';
        } else {
            $commentClass .= ' comment-by-user';
        }
    } 
    
    $commentLevelClass = $comments->_levels > 0 ? ' comment-child' : ' comment-parent';
?>
<li id="<?php $comments->theId(); ?>" class="comment-body<?php
    if ($comments->levels > 0) {
        echo ' comment-child';
        $comments->levelsAlt(' comment-level-odd', ' comment-level-even');
    } else {
        echo ' comment-parent';
    }
    $comments->alt(' comment-odd', ' comment-even');
    echo $commentClass;
?>">
    <div class="comment-author">		
		<?php
            //头像CDN
            $host = 'http://cn.gravatar.com'; //自定义头像CDN服务器
            $url = '/avatar/'; //自定义头像目录,一般保持默认即可
            $size = '50'; //自定义头像大小
            $rating = Helper::options()->commentsAvatarRating;
            $hash = md5(strtolower($comments->mail));
            $avatar = $host . $url . $hash . '?s=' . $size . '&r=' . $rating . '&d=';
            ?>
            <img class="avatar" src="<?php echo $avatar ?>" alt="<?php echo $comments->author; ?>" width="<?php echo $size ?>" height="<?php echo $size ?>" />
    </div>
    <div class="comment-meta">
		<cite class="fn"><?php $singleCommentOptions->beforeAuthor(); $comments->author(); $singleCommentOptions->afterAuthor();  ?></cite>
        <span class="commentdate"><a href="<?php $comments->permalink(); ?>"><?php $singleCommentOptions->beforeDate(); $comments->date($singleCommentOptions->dateFormat); $singleCommentOptions->afterDate(); ?></a></span>
		<span class="comment-reply"><?php $comments->reply($singleCommentOptions->replyWord); ?></span>
    </div>
    <div class="comment-p">
        <?php $comments->content();?>
    </div>
    <?php if ($comments->children) { ?>
    <div class="comment-children">
        <?php $comments->threadedComments($singleCommentOptions);?>
    </div>
    <?php } ?>
</li>

<?php
}
?>

<div id="comments">
    <?php $this->comments()->to($comments); ?>
    <?php if ($comments->have()): ?>
    <h2 id="comments"><?php $this->commentsNum(_t('本文当前暂无评论'), _t('本文仅有一条评论'), _t('本文有评论 %d 条')); ?></h2>
    
    <?php $comments->listComments(); ?>

    <?php $comments->pageNav('&laquo; 前一页', '后一页 &raquo;'); ?>
    
    <?php endif; ?>

    <?php if($this->allow('comment')): ?>
    <div id="<?php $this->respondId(); ?>" class="respond">
        <div class="cancel-comment-reply">
        <?php $comments->cancelReply(); ?>
        </div>
    
    	<h3 id="respond">发表评论</h3>
        <form method="post" action="<?php $this->commentUrl() ?>" id="commentform">
			<!-- 有资料的访客 -->
            <?php if($this->user->hasLogin()): ?>
    		<p><?php _e('登录身份: '); ?><a href="<?php $this->options->profileUrl(); ?>"><?php $this->user->screenName(); ?></a>. <a href="<?php $this->options->logoutUrl(); ?>" title="Logout"><?php _e('退出'); ?> &raquo;</a></p>
            <?php else: ?>
			<div id="author_info">
				<p><input type="text" name="author" id="author" value="<?php $this->remember('author'); ?>" size="22" tabindex="1" aria-required="true" placeholder="昵称必填" ></p>
				<p><input type="text" name="email" id="email" value="<?php $this->remember('mail'); ?>" size="22" tabindex="2" aria-required="true"<?php if ($this->options->commentsRequireMail): ?> required<?php endif; ?> placeholder="邮箱<?php if ($this->options->commentsRequireMail): ?>必填<?php endif; ?>"></p>
				<p><input type="text" name="url" id="url" placeholder="<?php _e('http://'); ?>" value="<?php $this->remember('url'); ?>" size="22" tabindex="3"<?php if ($this->options->commentsRequireURL): ?> required<?php endif; ?> placeholder="网址<?php if ($this->options->commentsRequireURL): ?>必填<?php endif; ?>"></p>
			</div>
            <?php endif; ?>
			<!-- 有资料的访客 -->
			<p><textarea name="comment" id="comment" tabindex="4"><?php $this->remember('text'); ?></textarea><div id="loading" style="display: none;"><img src="http://www.bangongqq.com/wp-admin/images/wpspin_light.gif" style="vertical-align:middle;" alt=""> 正在提交, 請稍候...</div><div id="error" style="display: none;">#</div></p>
			<p><input name="submit" type="submit" id="submit" tabindex="5" onclick="return checkComment();" value="提交评论/Ctrl+Enter"><input type="hidden" name="comment_post_ID" value="929" id="comment_post_ID">
<input type="hidden" name="comment_parent" id="comment_parent" value="0">
</p>
			<p style="display: none;"><input type="hidden" id="akismet_comment_nonce" name="akismet_comment_nonce" value="66c25302dc"></p><p style="display: none;"></p><script language="javascript">
document.getElementById("comment").onkeydown = function (moz_ev)
		{
		var ev = null;
		if (window.event){
			ev = window.event;
				}else{
				ev = moz_ev;
			}
			if (ev != null && ev.ctrlKey && ev.keyCode == 13)
			{
			document.getElementById("submit").click();
			}
		}
</script>			
</form>
    </div>
    <?php else: ?>
    <h3><?php _e('评论已关闭'); ?></h3>
    <?php endif; ?>
</div>
