<?php
if (!defined('__TYPECHO_ROOT_DIR__')) exit;

function themeConfig($form) {
    $logoUrl = new Typecho_Widget_Helper_Form_Element_Text('logoUrl', NULL, NULL, _t('站点LOGO地址'), _t('在这里填入一个图片URL地址, 以在网站标题前加上一个LOGO'));
    $form->addInput($logoUrl);

    $qq = new Typecho_Widget_Helper_Form_Element_Text('qq', NULL, NULL, _t('QQ'), _t('QQ联系号码'));
    $form->addInput($qq);

    $weibo = new Typecho_Widget_Helper_Form_Element_Text('weibo', NULL, NULL, _t('新浪微博'), _t('填写你的新浪微博的地址'));
    $form->addInput($weibo);

    $qweibo = new Typecho_Widget_Helper_Form_Element_Text('qweibo', NULL, NULL, _t('腾讯微博'), _t('填写你的腾讯微博的地址'));
    $form->addInput($qweibo);

    $tips = new Typecho_Widget_Helper_Form_Element_Textarea('tips', NULL, NULL, _t('网站公告'), _t('在这里写上你的网站公告，支持HTML'));
    $form->addInput($tips);
    
    $sidebarBlock = new Typecho_Widget_Helper_Form_Element_Checkbox('sidebarBlock', 
    array('ShowRecentPosts' => _t('显示最新文章'),
    'ShowRecentComments' => _t('显示最近回复'),
    'ShowCategory' => _t('显示分类'),
    'ShowArchive' => _t('显示归档'),
    'ShowOther' => _t('显示其它杂项')),
    array('ShowRecentPosts', 'ShowRecentComments', 'ShowCategory', 'ShowArchive', 'ShowOther'), _t('侧边栏显示'));
    
    $form->addInput($sidebarBlock->multiMode());
}



function themeFields($layout) {
    $isHot = new Typecho_Widget_Helper_Form_Element_Text('isHot', NULL, NULL, _t('文章是否热门'), _t('默认为空表示不热门，如果手动填写0也表示不热门，1表示热门'));
    $layout->addItem($isHot);
}


/** 输出文章缩略图 优化版20170423 */ 
function showThumbnail($widget){ 
    // 当文章无图片时的默认缩略图
    //$rand = rand(1,5); // 随机 1-5 张缩略图
    //$random = $widget->widget('Widget_Options')->themeUrl . '/img/sj/' . $rand . '.jpg'; // 随机缩略图路径
    $random = $widget->widget('Widget_Options')->themeUrl . '/images/nopic.png'; // 若只想要一张默认缩略图请删除本行开头的"//"
	
	$content = $widget->text;
	preg_match_all("/\<img.*?src\=\"(.*?)\"[^>]*>/i", $widget->content, $match);

	if (!empty($match[1])) {
        echo $match[1][0];
    } else {
		echo $random;
    }
}

/**
* 阅读统计
* 调用<?php get_post_view($posts) ?>
*/
function get_post_view($archive)
{
    $cid    = $archive->cid;
    $db     = Typecho_Db::get();
    $prefix = $db->getPrefix();
    if (!array_key_exists('views', $db->fetchRow($db->select()->from('table.contents')))) {
        $db->query('ALTER TABLE `' . $prefix . 'contents` ADD `views` INT(10) DEFAULT 0;');
        echo 0;
        return;
    }
    $row = $db->fetchRow($db->select('views')->from('table.contents')->where('cid = ?', $cid));
    if ($archive->is('single')) {
 $views = Typecho_Cookie::get('extend_contents_views');
        if(empty($views)){
            $views = array();
        }else{
            $views = explode(',', $views);
        }
if(!in_array($cid,$views)){
       $db->query($db->update('table.contents')->rows(array('views' => (int) $row['views'] + 1))->where('cid = ?', $cid));
array_push($views, $cid);
            $views = implode(',', $views);
            Typecho_Cookie::set('extend_contents_views', $views); //记录查看cookie
        }
    }
    echo $row['views'];
}

/** 
 * 显示下一个内容的标题链接 
 * 
 * @access public 
 * @param string $default 如果没有下一篇,显示的默认文字 
 * @return void 
 */ 
function theNext($widget, $default = "已经是最后一篇了") { 
    $db = Typecho_Db::get(); 
    $sql = $db->select()->from('table.contents') 
                    ->where('table.contents.created > ?', $widget->created) 
                    ->where('table.contents.status = ?', 'publish') 
                    ->where('table.contents.type = ?', $widget->type) 
                    ->where('table.contents.password IS NULL') 
                    ->order('table.contents.created', Typecho_Db::SORT_ASC) 
                    ->limit(1); 
    $content = $db->fetchRow($sql); 
                 
    if ($content) { 
        $content = $widget->filter($content); 
        $link = '<div id="pag-prev-wrap"><a class="" href="' . $content['permalink'] . '"><span class="next-prev-text"> 下一篇</span></a></div>'; 
        echo $link; 
    } else {
        //$link = $default; 
        echo ''; 
    } 
} 

/** 
 * 显示上一个内容的标题链接 
 *  
 * @access public 
 * @param string $default 如果没有下一篇,显示的默认文字 
 * @return void 
 */ 
function thePrev($widget, $default = "前面已经没有了") { 
    $db = Typecho_Db::get(); 
    $sql = $db->select()->from('table.contents') 
                          ->where('table.contents.created < ?', $widget->created) 
                          ->where('table.contents.status = ?', 'publish') 
                          ->where('table.contents.type = ?', $widget->type) 
                          ->where('table.contents.password IS NULL') 
                          ->order('table.contents.created', Typecho_Db::SORT_DESC) 
                          ->limit(1); 
    $content = $db->fetchRow($sql); 
                 
    if ($content) { 
        $content = $widget->filter($content); 
        $link = '<div id="pag-next-wrap"><a class="" href="' . $content['permalink'] . '"><span class="next-prev-text">上一篇 </span></a></div>'; 
		echo $link; 
    } else {  
		//$link = $default;
        echo ''; 
    } 
}